# TCP/IP

### 1. 网络协议

- 计算机之间进行通信时必须共同遵循的一种通讯规定
- 最广泛使用的网络通信协议集

### 2. 主机通信的三个要素

1. IP地址：用来标识一个节点的网络地址

   > 区分网络中电脑身份地址

2. 子网掩码：配合IP地址确定网络号

3. IP路由：网关的地址，网络的出口

### 3. IP地址

1. 作用：用来表示一个节点的网络地址

2. 版本：

   - IPV4：32个二进制位

   - IPV6：128个二进制位

   >**点分十进制**：将32个二进制位分成4组，每组8位。再将每组的8个二进制位换算为十进制，组和组之间用“.”隔开

3. IP地址的组成

   > 网络位 + 主机位

4. IPV4地址的分类

   | 分类 | 范围      | 性质     | 结构        | 子网掩码      |
   | ---- | --------- | -------- | ----------- | ------------- |
   | A    | 0 - 127   | 超大网络 | 网.主.主.主 | 255.0.0.0     |
   | B    | 128 - 191 | 大型网络 | 网.网.主.主 | 255.255.0.0   |
   | C    | 224 - 239 | 中小网络 | 网.网.网.主 | 255.255.255.0 |
   | D    | 224 - 239 | 组播地址 |             |               |
   | E    | 240 - 255 | 科研地址 |             |               |

   > A类地址的第一个字节的范围是1到126（二进制表示为0xxxxxxx），其中127保留用于环回地址（即127.0.0.1用于本地机器测试）。

5. 子网掩码：区分IP地址的网络位和主机位

   > 默认网络位用255，主机位用0表示
   >
   > 在二进制下，网络位全是1，主机位全是0

6. 公有与私有IP地址

   1. 公有地址：在国际互联网上使用，花钱申请，全球唯一

   2. 私有地址：保留给企业内部使用，免费使用，内网唯一

      - 私有地址范围：

      > A：10.0.0.0 - 10.255.255.255
      >
      > B：172.16.0.0 - 172.31.255.255
      >
      > C：192.168.0.0 - 192.168.255.255

7. win+r  →  cmd  →  ipconfig

8. 网关：从一个网络到另一个网络的关口